Api referenceDevelopment projects

List Project Cycles

Reference for List Project Cycles in the Hyperoru v1 API, including request, response, and authentication details.

GET/v1/workspaces/{workspace_id}/projects/{project_id}/cycles

List Project Cycles. Returns a typed response and a request ID for operational support.

Authorization

hyperoru_session<token>

Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.

In: cookie

Path Parameters

workspace_id*Workspace Id
Formatuuid
project_id*Project Id
Formatuuid

Query Parameters

limit?Limit
Default50
Range1 <= value <= 100
cursor?|null
status?Status
Default"all"
Value in"all" | "open" | "closed" | "planned" | "active" | "completed" | "canceled"
sort?Sort
Default"oldest"
Value in"oldest" | "newest" | "focus"

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/cycles"
{
  "has_more": false,
  "items": [
    {
      "blocked_count": 0,
      "completed_at": "2019-08-24T14:15:22Z",
      "completed_count": 0,
      "completion_summary": {},
      "created_at": "2019-08-24T14:15:22Z",
      "ends_on": "2019-08-24",
      "estimate_completed": 0,
      "estimate_total": 0,
      "goal": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "item_count": 0,
      "name": "string",
      "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",
      "starts_on": "2019-08-24",
      "status": "string",
      "unfinished_count": 0,
      "version": 0
    }
  ],
  "next_cursor": "string"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}
{
  "code": "validation_failed",
  "detail": "The request body did not match the documented schema.",
  "instance": "/v1/audits",
  "request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
  "status": 422,
  "title": "Validation Failed",
  "type": "https://api.hyperoru.com/problems/validation_failed"
}